<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################
 
//Авторизация пользователя
if(isset($_COOKIE['userid']) && isset($_COOKIE['password'])) {
$total_query = $mysql -> query("SELECT count(*) FROM `".PREFIX."users` WHERE `id`= '".num($_COOKIE['userid'])."';");
$total_cookie_user = $total_query -> fetch_row();
if ($total_cookie_user != 0) {
$user = num($_COOKIE['userid']);
$res_lvl = $mysql -> query("SELECT `level` FROM `".PREFIX."users` WHERE `id` = '".intval($user)."';"); 
$level = $res_lvl -> fetch_row();
}
}

//Обновление времени последней активности пользователей
if (isset($user)) {
$mysql -> query("UPDATE `".PREFIX."users` SET last = '".time()."' WHERE `id` = '".intval($user)."' ;");
}

############################################################################################
##                                     Авторизация                                        ##
############################################################################################
if ($usdata = is_user()) {
// подбор данных у юзера, конкретный юзер не чужие данные, а свои
}

?>